version: "2.1"

services:
  server:
    container_name: server_container
    build: .
    env_file:
      - .env
    depends_on:
      - database
    volumes:
      - ./src:/server/src
    ports:
      - "3001:3001"
    restart: on-failure

  database:
    container_name: postgres_container
    image: postgres
    env_file:
      - .env
    volumes:
      - ./pg_data:/var/lib/postgresql/data/
    ports:
      - "5432:5432"
    # command: ts-node ./migrations/index.ts
    restart: on-failure
